/* kerhomain.cpp */
/* Kerho-ohjelman pohjelma
**  Tekijt:          Vesa Lappalainen
**                    Ohjelmointikurssi 1996
**  Tehty:            20.12.1991
**  Muutettu          19.12.1993/vl
**                    06.12.1995/vl  - C++ versio
**  Mit muutettu:    avustus
**  Muutettu          06.12.1995/vl
**  Mit muutettu:    tehty C++ versio
**  Muutettu          07.12.1995/vl
**  Mit muutettu:    tehty document/view C++ versio
**  Muutettu          09.12.1995/vl
**  Mit muutettu:    jaettu osiin
**  Muutettu          20.01.1997/vl
**  Mit muutettu:    kerho ja jsenist eri luokkiin
**
**
**  Projektiin mukaan:
**    kerhomain.cpp    - tm tiedosto
**    jasen.cpp        - yksittisen jsenen ksittely
**    jasenet.cpp      - jsenistn ksittely
**    harrastu.cpp     - yksittisen harrastus
**    harsteet.cpp     - harrastusten joukko
**    kerho.cpp        - kerho kokonaisuudessaan
**    naytto.cpp       - nyttn liittyv kerhon ksittely
**    CPP\ALI\ioali.c    - yleiskyttiset kyttjrjestelm-riippuvat io-rut.
**    CPP\ALI\mjonot.c   - yleikyttisi aliohjelmia merkkijonojen ksittelyyn
**    CPP\ALI\vstring.cpp - c++ -merkkijonoluokka (jollei ole oikeasti mukana)
**
*/

#include "naytto.h"


int main(void)
{
  cKerho kerho;
  cNaytto naytto(&kerho);
  naytto.ohjeet();

  if ( naytto.lue_tiedosto() ) return 1;

  naytto.paavalinta();

  if ( naytto.talleta() ) return 2;

  naytto.kiitokset();

  return 0;
}
