/* naytto.cpp */
/* Kerho-ohjelman kyttliittymn mrittely.
**
**  Tekijt:          Vesa Lappalainen
**  Tehty:            09.12.1995
**
*/

#ifndef __NAYTTO_H
#define __NAYTTO_H

#include "kerho.h"

//----------------------------------------------------------------------------
// Nytn mrittely ja ksittely:
//----------------------------------------------------------------------------
class cNaytto {
  cKerho *kerho; // Osoitin kerhoon => voi olla sama kerho monessa nytss

  void tulosta(ostream &os,const cJasen &jasen);
  void kysy_tiedot(cJasen &jasen);

  void logo(void);
  void avustus(char valinta);
  void lisaa_uusi_jasen(char valinta);
  void etsi_jasenen_tiedot(char valinta);
  void tulosteet(char valinta);
  void tietojen_korjailu(char valinta);
  void paivita_jasenmaksuja(char valinta);
  void paamenu();
public:
  cNaytto(cKerho *p) : kerho(p) {;}
  ~cNaytto() { talleta(); }

  void ohjeet(void);
  void kiitokset(void);

  int  lue_tiedosto();
  int  talleta();

  int  paavalinta();
};


#endif
