/* harrastu.h */
/* Kerho-ohjelman harrastus-luokan mrittely.
**
**  Tekijt:          Vesa Lappalainen
**  Tehty:            09.12.1995
**  Muutettu          12.1.2002/vl
**  Mit muutettu:    omaksi tiedostokseen
**
*/

#ifndef __HARRASTU_H
#define __HARRASTU_H

#include <iostream>
#include <cstdlib>
#include <string>
using namespace std;

//----------------------------------------------------------------------------
// Harrastuksen mrittely:
//----------------------------------------------------------------------------

class cHarrastus {
  int    tunnus_nro;
  int    viite_nro;
  string ala;
  int    aloitusvuosi;
  int    tuntia_viikossa;
  static int seuraava_nro;
public:
  cHarrastus() { tunnus_nro=0; viite_nro=0; ala="";
                 aloitusvuosi=0; tuntia_viikossa=0; }
  void tulosta(ostream &os) const {
    os << "    " << aloitusvuosi << ": " << ala << ", "
       << tuntia_viikossa << "h viikossa" <<endl;
  }
  void vastaa_pitsin_nyplays(int nro) {
    viite_nro = nro;
    ala = "Pitsin nyplys";
    aloitusvuosi = rand()%100+1900;
    tuntia_viikossa = rand()%60;
  }
  int Viite_nro()  { return viite_nro; }
  int rekisteroi() { tunnus_nro = seuraava_nro; seuraava_nro++;
                     return tunnus_nro;}
  int Tunnus_nro() const { return tunnus_nro; }
};


#endif
