/* jasen.h */
/* Kerho-ohjelman jsen-luokan mrittely
**
**  Tekijt:          Vesa Lappalainen
**  Tehty:            09.12.1995
**  Muutettu
**  Mit muutettu:
**
*/

#ifndef __JASEN_H
#define __JASEN_H

#include <string>
using namespace std;

//----------------------------------------------------------------------------
// Jasenen mrittely:
//----------------------------------------------------------------------------

class cJasen {     // Jsenluokka, jolle tulee viel paljon ominaisuuksia
  int tunnus_nro;
  string nimi;
  string hetu;
  string katuosoite;
  string postinumero;
  string postiosoite;
  string kotipuhelin;
  string tyopuhelin;
  string autopuhelin;
  int    liittymisvuosi;
  double jmaksu;
  double maksu;
  string lisatietoja;
  static int seuraava_nro;
public:
  cJasen() { alusta(); }
  void alusta();
  void vastaa_aku_ankka();
  void tulosta(ostream &os) const;
  int  rekisteroi() { tunnus_nro = seuraava_nro; seuraava_nro++; return tunnus_nro;}
  int Tunnus_nro() const { return tunnus_nro; }
};


#endif
